#include <iostream>
#include <vector>
#include <cmath>

long long int povrsina(std::vector<int>x, std::vector<int>y){
    int br=x.size();
    long long int p=0;
    for(int i=0; i<br; i++){
        p+=x[i]*y[(i+1)%br]-y[i]*x[(i+1)%br];
    }
    return abs(p)/2;
}

int main()
{
    int n;
    std::cin>>n;
    std::vector<int>xk(n);
    std::vector<int>yk(n);
    for(int i=0;i<n;i++){
        std::cin>>xk[i]>>yk[i];
    }
    if(n==4){
        int a=xk.at(0);
        int b=yk.at(0);
        xk.erase(xk.begin());
        yk.erase(yk.begin());
            long long int p1=povrsina(xk,yk);
        xk.push_back(a);
        yk.push_back(b);
        a=xk.at(0);
        b=yk.at(0);
        xk.erase(xk.begin());
        yk.erase(yk.begin());
            long long int p2=povrsina(xk,yk);
        xk.push_back(a);
        yk.push_back(b);
        a=xk.at(0);
        b=yk.at(0);
        xk.erase(xk.begin());
        yk.erase(yk.begin());
            long long int p3=povrsina(xk,yk);
        xk.push_back(a);
        yk.push_back(b);
        a=xk.at(0);
        b=yk.at(0);
        xk.erase(xk.begin());
        yk.erase(yk.begin());
            long long int p4=povrsina(xk,yk);
        xk.push_back(a);
        yk.push_back(b);
        a=xk.at(0);
        b=yk.at(0);
        xk.erase(xk.begin());
        yk.erase(yk.begin());
            if(p1<=p2 && p1<=p3 && p1<=p4) std::cout<<p1;
            if(p2<p1 && p2<=p3 && p2<=p4) std::cout<<p2;
            if(p3<p1 && p3<p2 && p3<=p4) std::cout<<p3;
            if(p4<p1 && p4<p2 && p4<p3) std::cout<<p4;
    }

    return 0;
}